package com.application.DB;

/**
 * This class contain a number of constants used throughout the application
 *
 * @author Eilert Tunheim, Karin Pettersen, Mads Arnesen
 * @version 1.0.0
 */
public class Constants {

    // Time related constants
    public static String START_TIME = "";
    public static String STOP_TIME = "";
    public static String CURRENT_DATE = "";
    public static String TIME_LEFT = "";

    // Boolean variable to tell if the drying process is finished
    public static boolean IS_FINISHED = false;
    // Boolean variable to tell if the data is finished loading
    public static boolean LOADED_DATA = false;

    // User inputs
    public static String TREE_SPECIES = "";
    public static String DIMENSIONS = "";
    public static String SAWSET = "";
    public static String MOISTURE_GOAL = "";

    // Boolean constants to toggle default launch selected or not for checkboxes for showing graphs
    public static boolean DEFAULT_IS_SELECTED_LIVE_DATA = true;
    public static boolean DEFAULT_IS_SELECTED_REGRESSION = true;
    public static boolean DEFAULT_IS_SELECTED_REGRESSION_SHADOW = false;
    public static boolean DEFAULT_IS_SELECTED_PREVIOUS_DATA = true;
}
